import * as React from 'react';
import { IMenuItem, OperationMenuItemContentProps } from 'redoc';
import { SearchResultMeta } from '../services/SearchStore';
import { RedocProNormalizedOptions } from '../services/ProStore';
export interface MenuItemProProps {
    result: SearchResultExtended;
    active: boolean;
    onActivate: (res: SearchResultExtended) => any;
    term: string;
}
export declare type SearchResultExtended = {
    item: IMenuItem;
    score: number;
} & Omit<SearchResultMeta, 'menuId' | 'place' | 'path'> & {
    places: {
        place: string;
        paths: Array<string[] | undefined>;
    }[];
    count: number;
};
export declare class MenuItemPro extends React.PureComponent<MenuItemProProps> {
    static contextType: React.Context<RedocProNormalizedOptions>;
    context: RedocProNormalizedOptions;
    onActivate: () => void;
    render(): JSX.Element;
}
export declare class ProOperationMenuItemContent extends React.Component<OperationMenuItemContentProps> {
    static contextType: React.Context<RedocProNormalizedOptions>;
    context: RedocProNormalizedOptions;
    render(): JSX.Element;
}
export declare function replace(): void;
