import * as React from 'react';
import { IMenuItem, SearchStore, MenuItem, MarkerService } from 'redoc';
import { SearchResultExtended } from './MenuItemPro';
import { SearchResultMeta } from '../services/SearchStore';
declare type SearchResult<T = object | undefined> = {
    score: number;
    meta: T;
};
import { ProMenu } from '../services/ProMenu';
import { RedocProNormalizedOptions } from '../services/ProStore';
export interface ProSearchBoxProps {
    search: SearchStore<SearchResultMeta>;
    menu: ProMenu;
    marker: MarkerService;
    onActivate: (item: IMenuItem) => void;
    className?: string;
    options: RedocProNormalizedOptions;
}
export interface SearchBoxState {
    results: SearchResultExtended[] | null;
    term: string;
    activeItemIdx: number;
    loading: boolean;
}
export declare class ProSearchBox extends React.PureComponent<ProSearchBoxProps, SearchBoxState> {
    activeItemRef: MenuItem | null;
    prevCancel: (() => void) | null;
    loadingTimer: any;
    inputRef: React.RefObject<HTMLInputElement>;
    constructor(props: any);
    componentDidUpdate(prevProps: ProSearchBoxProps): void;
    clearResults(term: string): void;
    clear: () => void;
    handleKeyDown: (event: React.KeyboardEvent<HTMLInputElement>) => void;
    setResults(results: SearchResult<SearchResultMeta>[]): void;
    updateSearchTerm(q: string): void;
    _queryWorker: (...args: any[]) => void;
    queryWorker(q: any): () => void;
    search: (event: React.ChangeEvent<HTMLInputElement>) => void;
    onActivate: (res: SearchResultExtended) => void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
export {};
