import * as React from 'react';
import { ProStore, RedocProRawOptions } from '../services/ProStore';
import { SpecsInfo, SpecInfo, SpecVersions } from '../services/MultipleSpecsStore';
interface StoreProviderProps {
    specUrl?: string;
    spec?: object;
    store?: ProStore;
    specs?: SpecsInfo;
    options?: RedocProRawOptions;
    children: (props: {
        loading: boolean;
        store?: ProStore;
    }) => any;
}
export declare const Provider: React.Provider<ProStore | undefined>, Consumer: React.Consumer<ProStore | undefined>;
interface StoreProviderState {
    error?: Error;
    loading: boolean;
    store?: ProStore;
}
export declare class ProStoreProvider extends React.Component<StoreProviderProps, StoreProviderState> {
    store: ProStore;
    private _resolvedSpec;
    constructor(props: StoreProviderProps);
    componentDidMount(): void;
    fixSpec(): void;
    loadMany(): Promise<void>;
    load(): Promise<void>;
    updateStoreMany(specs: SpecsInfo, options: any): void;
    updateStore(resolvedSpec: any, specUrl: any, options: any): void;
    componentDidUpdate(prevProps: any): void;
    setError(e?: Error): void;
    render(): any;
}
export declare function loadSpecs(specs: SpecInfo[] | SpecVersions): Promise<void>;
export {};
