import * as React from 'react';
import { OperationModel } from 'redoc';
import { SwaggerResponse } from './ResponsePanel';
import { ProStore } from '../../services/ProStore';
export interface ConsoleProps {
    store: ProStore;
    operation: OperationModel;
    specIdx?: number;
    className?: string;
    onClose: () => any;
}
export interface ConsoleState {
    form: any;
    shaking: boolean;
    loading: boolean;
    activeTab: number;
    error?: Error & {
        response?: SwaggerResponse;
    };
    response?: SwaggerResponse;
    time?: number;
}
export declare class Console extends React.Component<ConsoleProps, ConsoleState> {
    formApi: any;
    serverUrl: string;
    serverVariables: object;
    state: ConsoleState;
    setFormApi: (formApi: any) => void;
    handleChange: (formState: any) => void;
    handleTabChange: (idx: any) => void;
    handleServerChange: (url: any) => void;
    handleVarsChange: (vars: any) => void;
    handleClear: () => void;
    handleExecute: () => Promise<void>;
    componentDidUpdate(prevProps: any): void;
    componentDidMount(): void;
    componentWillUpdate(next: any): void;
    validateBody: () => any;
    render(): JSX.Element;
    renderRequest(): JSX.Element | "Loading...";
    renderResponse(): JSX.Element;
}
