import { SearchStore, IMenuItem, OperationModel, RedocNormalizedOptions } from 'redoc';
import { RedocProRawOptions } from './ProStore';
import { SearchResult } from 'redoc/typings/services/SearchWorker.worker';
export declare type SearchResultMeta = {
    place?: string;
    path?: string[];
    menuId: string;
    boost?: number;
};
export declare class DeepSearchStore extends SearchStore<SearchResultMeta> {
    operationTitleBoost: number;
    tagTitleBoost: number;
    fieldLevelBoost: number;
    pathOnly: boolean;
    constructor(options: RedocProRawOptions & RedocNormalizedOptions);
    indexItems(groups: Array<IMenuItem | OperationModel>): void;
    private indexSchema;
    add(title: string, body: string, meta?: SearchResultMeta): void;
    search<T = SearchResultMeta>(q: string): Promise<SearchResult<T>[]>;
    toJS(): Promise<{
        store: any[];
        index: object;
    }>;
    dispose(): void;
}
export declare class RemoteSearch extends SearchStore<SearchResultMeta> {
    private url;
    operationTitleBoost: number;
    tagTitleBoost: number;
    fieldLevelBoost: number;
    constructor(url: string);
    indexItems(_groups: Array<IMenuItem | OperationModel>): void;
    add(_title: string, _body: string, _meta?: SearchResultMeta): void;
    search(q: string): Promise<SearchResult<SearchResultMeta>[]>;
    dispose(): void;
    load(): void;
    toJS(): Promise<any>;
}
