import { RedocNormalizedOptions, SpecStore, HistoryService } from 'redoc';
import { OpenAPISpec } from 'redoc/typings/types';
interface VersionInfo {
    id: string;
    title: string;
    url?: string;
    spec?: OpenAPISpec;
}
interface SpecVersions {
    versions?: Array<VersionInfo>;
}
interface SpecInfo {
    id?: string;
    title?: string;
    spec?: OpenAPISpec;
    url?: string;
    items?: SpecInfo[];
}
export declare type SpecsInfo = SpecInfo[] | SpecVersions;
export declare class VersionedSpecStore {
    config: SpecVersions;
    options: RedocNormalizedOptions;
    versions: SpecStore[];
    activeVersionIdx: number;
    constructor(config: SpecVersions, options: RedocNormalizedOptions, history: HistoryService);
    get versionsInfo(): VersionInfo[];
    get currentVersionId(): string;
    get contentItems(): import("redoc").ContentItemModel[];
    get securitySchemes(): import("redoc").SecuritySchemesModel;
    get externalDocs(): import("redoc/typings/types").OpenAPIExternalDocumentation | undefined;
    get parser(): import("redoc").OpenAPIParser;
    get info(): import("redoc").ApiInfoModel;
    changeVersion(idx: number): void;
    toJS(): SpecVersions;
}
export {};
