import { RedocProRawOptions } from './ProStore';
import { ResolvedThemeInterface } from 'redoc';
export declare function extendTheme(options: RedocProRawOptions): RedocProRawOptions;
interface Typography {
    fontSize?: string;
    fontWeight?: string | number;
    fontFamily?: string;
    lineHeight?: string;
    color?: string;
    transform?: string;
}
declare type Token = 'comment' | 'prolog' | 'doctype' | 'cdata' | 'punctuation' | 'property' | 'tag' | 'number' | 'constant' | 'symbol' | 'boolean' | 'selector' | 'string' | 'char' | 'builtin' | 'inserted' | 'operator' | 'entity' | 'url' | 'variable' | 'atrule' | 'keyword' | 'regex' | 'important' | 'important' | 'bold' | 'italic' | 'entity' | 'deleted';
declare type Tokens = {
    [P in Token]?: {
        color: string;
    };
} & {
    default?: Typography;
};
export interface ThemeExtension {
    scrollYOffset?: () => number;
    sidebar?: {
        breakPath?: boolean;
    };
    overrides?: {
        DownloadButton: {
            custom: string;
        };
        NextSectionButton: {
            custom: string;
        };
    };
    codeBlock?: {
        borderRadius?: string;
        tokens?: Tokens;
    };
    typography?: {
        heading1: Typography;
        heading2: Typography;
        heading3: Typography;
        rightPanelHeading: Typography;
        fieldName: Typography;
    };
    schema?: {
        constraints: Typography & {
            backgroundColor?: string;
            border?: string;
        };
        examples: Typography & {
            backgroundColor?: string;
            border?: string;
        };
    };
}
export declare type ProTheme = ResolvedThemeInterface & ThemeExtension;
export {};
